<html>
<head>
<title>Ogre::Timer Class Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li class="current"><a href="annotated.html"><span>Classes</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Class&#160;List</span></a></li>
      <li><a href="classes.html"><span>Class&#160;Index</span></a></li>
      <li><a href="inherits.html"><span>Class&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Class&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="namespaceOgre.html">Ogre</a>      </li>
      <li class="navelem"><a class="el" href="classOgre_1_1Timer.html">Timer</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle">
<div class="title">Ogre::Timer Class Reference<div class="ingroups"><a class="el" href="group__General.html">General</a></div></div>  </div>
</div><!--header-->
<div class="contents">
<!-- doxytag: class="Ogre::Timer" --><!-- doxytag: inherits="Ogre::AllocatedObject,Ogre::AllocatedObject,Ogre::AllocatedObject,Ogre::AllocatedObject,Ogre::AllocatedObject,Ogre::AllocatedObject" -->
<p><a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a> class.  
 <a href="classOgre_1_1Timer.html#details">More...</a></p>

<p><code>#include &lt;<a class="el" href="Android_2OgreTimerImp_8h_source.html">OgreTimerImp.h</a>&gt;</code></p>
<div class="dynheader">
Inheritance diagram for Ogre::Timer:</div>
<div class="dyncontent">
<div class="center"><img src="classOgre_1_1Timer__inherit__graph.gif" border="0" usemap="#Ogre_1_1Timer_inherit__map" alt="Inheritance graph"/></div>
<map name="Ogre_1_1Timer_inherit__map" id="Ogre_1_1Timer_inherit__map">
<area shape="rect" id="node2" href="classOgre_1_1AllocatedObject.html" title="Superclass for all objects that wish to use custom memory allocators when their new / delete operator..." alt="" coords="10,5,92,35"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classOgre_1_1Timer-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#ae9d0299693765d37b2f0b75c013755d2">Timer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#af9fd02050970850875bd56114ea82fc3">~Timer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe">setOption</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;strKey, const void *pValue)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Method for setting a specific option of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>.  <a href="#a49f70a0179cae582b6837f023d57ffbe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3">reset</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Resets timer.  <a href="#a93b3cf0994bf9fdd32e2f52c43799bb3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#abcbb2a56c8d2a928ce4470f6ad7fbff7">getMilliseconds</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns milliseconds since initialisation or last reset.  <a href="#abcbb2a56c8d2a928ce4470f6ad7fbff7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a98cd6171d89aa2474f743f7375a8d412">getMicroseconds</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns microseconds since initialisation or last reset.  <a href="#a98cd6171d89aa2474f743f7375a8d412"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a5dec0b5b6ecf2058f67c8dfb64ced988">getMillisecondsCPU</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns milliseconds since initialisation or last reset, only CPU time measured.  <a href="#a5dec0b5b6ecf2058f67c8dfb64ced988"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a5bf37f7326bf37a6b9a12722e758faa6">getMicrosecondsCPU</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns microseconds since initialisation or last reset, only CPU time measured.  <a href="#a5bf37f7326bf37a6b9a12722e758faa6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#ae9d0299693765d37b2f0b75c013755d2">Timer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#af9fd02050970850875bd56114ea82fc3">~Timer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe">setOption</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;strKey, const void *pValue)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Method for setting a specific option of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>.  <a href="#a49f70a0179cae582b6837f023d57ffbe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3">reset</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Resets timer.  <a href="#a93b3cf0994bf9fdd32e2f52c43799bb3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#abcbb2a56c8d2a928ce4470f6ad7fbff7">getMilliseconds</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns milliseconds since initialisation or last reset.  <a href="#abcbb2a56c8d2a928ce4470f6ad7fbff7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a98cd6171d89aa2474f743f7375a8d412">getMicroseconds</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns microseconds since initialisation or last reset.  <a href="#a98cd6171d89aa2474f743f7375a8d412"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a5dec0b5b6ecf2058f67c8dfb64ced988">getMillisecondsCPU</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns milliseconds since initialisation or last reset, only CPU time measured.  <a href="#a5dec0b5b6ecf2058f67c8dfb64ced988"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a5bf37f7326bf37a6b9a12722e758faa6">getMicrosecondsCPU</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns microseconds since initialisation or last reset, only CPU time measured.  <a href="#a5bf37f7326bf37a6b9a12722e758faa6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#ae9d0299693765d37b2f0b75c013755d2">Timer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#af9fd02050970850875bd56114ea82fc3">~Timer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe">setOption</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;strKey, const void *pValue)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Method for setting a specific option of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>.  <a href="#a49f70a0179cae582b6837f023d57ffbe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3">reset</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Resets timer.  <a href="#a93b3cf0994bf9fdd32e2f52c43799bb3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#abcbb2a56c8d2a928ce4470f6ad7fbff7">getMilliseconds</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns milliseconds since initialisation or last reset.  <a href="#abcbb2a56c8d2a928ce4470f6ad7fbff7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a98cd6171d89aa2474f743f7375a8d412">getMicroseconds</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns microseconds since initialisation or last reset.  <a href="#a98cd6171d89aa2474f743f7375a8d412"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a5dec0b5b6ecf2058f67c8dfb64ced988">getMillisecondsCPU</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns milliseconds since initialisation or last reset, only CPU time measured.  <a href="#a5dec0b5b6ecf2058f67c8dfb64ced988"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a5bf37f7326bf37a6b9a12722e758faa6">getMicrosecondsCPU</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns microseconds since initialisation or last reset, only CPU time measured.  <a href="#a5bf37f7326bf37a6b9a12722e758faa6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#ae9d0299693765d37b2f0b75c013755d2">Timer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#af9fd02050970850875bd56114ea82fc3">~Timer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe">setOption</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;strKey, const void *pValue)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Method for setting a specific option of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>.  <a href="#a49f70a0179cae582b6837f023d57ffbe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3">reset</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Resets timer.  <a href="#a93b3cf0994bf9fdd32e2f52c43799bb3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#abcbb2a56c8d2a928ce4470f6ad7fbff7">getMilliseconds</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns milliseconds since initialisation or last reset.  <a href="#abcbb2a56c8d2a928ce4470f6ad7fbff7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a98cd6171d89aa2474f743f7375a8d412">getMicroseconds</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns microseconds since initialisation or last reset.  <a href="#a98cd6171d89aa2474f743f7375a8d412"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a5dec0b5b6ecf2058f67c8dfb64ced988">getMillisecondsCPU</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns milliseconds since initialisation or last reset, only CPU time measured.  <a href="#a5dec0b5b6ecf2058f67c8dfb64ced988"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a5bf37f7326bf37a6b9a12722e758faa6">getMicrosecondsCPU</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns microseconds since initialisation or last reset, only CPU time measured.  <a href="#a5bf37f7326bf37a6b9a12722e758faa6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#ae9d0299693765d37b2f0b75c013755d2">Timer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#af9fd02050970850875bd56114ea82fc3">~Timer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe">setOption</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;strKey, const void *pValue)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Method for setting a specific option of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>.  <a href="#a49f70a0179cae582b6837f023d57ffbe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3">reset</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Resets timer.  <a href="#a93b3cf0994bf9fdd32e2f52c43799bb3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#abcbb2a56c8d2a928ce4470f6ad7fbff7">getMilliseconds</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns milliseconds since initialisation or last reset.  <a href="#abcbb2a56c8d2a928ce4470f6ad7fbff7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a98cd6171d89aa2474f743f7375a8d412">getMicroseconds</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns microseconds since initialisation or last reset.  <a href="#a98cd6171d89aa2474f743f7375a8d412"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a5dec0b5b6ecf2058f67c8dfb64ced988">getMillisecondsCPU</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns milliseconds since initialisation or last reset, only CPU time measured.  <a href="#a5dec0b5b6ecf2058f67c8dfb64ced988"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a5bf37f7326bf37a6b9a12722e758faa6">getMicrosecondsCPU</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns microseconds since initialisation or last reset, only CPU time measured.  <a href="#a5bf37f7326bf37a6b9a12722e758faa6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#ae9d0299693765d37b2f0b75c013755d2">Timer</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight"><a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a> constructor.  <a href="#ae9d0299693765d37b2f0b75c013755d2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#af9fd02050970850875bd56114ea82fc3">~Timer</a> ()</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">bool&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe">setOption</a> (const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;strKey, const void *pValue)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Method for setting a specific option of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>.  <a href="#a49f70a0179cae582b6837f023d57ffbe"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3">reset</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Resets timer.  <a href="#a93b3cf0994bf9fdd32e2f52c43799bb3"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#abcbb2a56c8d2a928ce4470f6ad7fbff7">getMilliseconds</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns milliseconds since initialisation or last reset.  <a href="#abcbb2a56c8d2a928ce4470f6ad7fbff7"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a98cd6171d89aa2474f743f7375a8d412">getMicroseconds</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns microseconds since initialisation or last reset.  <a href="#a98cd6171d89aa2474f743f7375a8d412"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a5dec0b5b6ecf2058f67c8dfb64ced988">getMillisecondsCPU</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns milliseconds since initialisation or last reset, only CPU time measured.  <a href="#a5dec0b5b6ecf2058f67c8dfb64ced988"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">unsigned long&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a5bf37f7326bf37a6b9a12722e758faa6">getMicrosecondsCPU</a> ()</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Returns microseconds since initialisation or last reset, only CPU time measured.  <a href="#a5bf37f7326bf37a6b9a12722e758faa6"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a421b197ca3a38da17e2eb1531a645fa2">operator new</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">operator new, with debug line info  <a href="#a421b197ca3a38da17e2eb1531a645fa2"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ac4bdf968b7b9af8a5239a27da73d5711">operator new</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#ab78a921e54419be677839cdf15d1f0b8">operator new</a> (size_t sz, void *ptr)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">placement operator new  <a href="#ab78a921e54419be677839cdf15d1f0b8"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a4be37baef81876985aa1071ad5acc6dd">operator new[]</a> (size_t sz, const char *file, int line, const char *func)</td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">array operator new, with debug line info  <a href="#a4be37baef81876985aa1071ad5acc6dd"></a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#afa2943846ba6a2b5824a12857139cf5e">operator new[]</a> (size_t sz)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a8357fe4fb4849772b94baa4bf47c7ded">operator delete</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a1c727e879a260c37b00ce5505fe8e144">operator delete</a> (void *ptr, void *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#acb46d4b0a597156d9ba5abc39d127792">operator delete</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a93e6a86dde5483c053ca0f2a85bbfd6c">operator delete[]</a> (void *ptr)</td></tr>
<tr><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1AllocatedObject.html#a595ea4c05da8aa987d3800e65d23355d">operator delete[]</a> (void *ptr, const char *, int, const char *)</td></tr>
<tr><td colspan="2"><h2><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">struct timeval&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a8001c51c6e71cb7a0f4f1f923f50067b">start</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">clock_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a730b49c13bc36f38225190c1a4bc6cb0">zeroClock</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">clock_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a0cc8c11464f2fc729c5028b2359d5a21">mZeroClock</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">DWORD&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a9b098eabbe9029b10f71e19a56201a19">mStartTick</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">LONGLONG&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a8372e3ea912095bfce04d29b3e7de900">mLastTime</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">LARGE_INTEGER&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#ab1c3bbde68d6dfea57f72a0aabb8f924">mStartTime</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">LARGE_INTEGER&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#ae900afa2fcf8c8ce3f0f423d97bb91be">mFrequency</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">DWORD_PTR&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1Timer.html#a3ce599d89734e4cbedaad64f7083af28">mTimerMask</a></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock"><p><a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a> class. </p>

<p>Definition at line <a class="el" href="Android_2OgreTimerImp_8h_source.html#l00037">37</a> of file <a class="el" href="Android_2OgreTimerImp_8h_source.html">Android/OgreTimerImp.h</a>.</p>
</div><hr/><h2>Constructor &amp; Destructor Documentation</h2>
<a class="anchor" id="ae9d0299693765d37b2f0b75c013755d2"></a><!-- doxytag: member="Ogre::Timer::Timer" ref="ae9d0299693765d37b2f0b75c013755d2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Timer.html#ae9d0299693765d37b2f0b75c013755d2">Ogre::Timer::Timer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="af9fd02050970850875bd56114ea82fc3"></a><!-- doxytag: member="Ogre::Timer::~Timer" ref="af9fd02050970850875bd56114ea82fc3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Timer.html#af9fd02050970850875bd56114ea82fc3">Ogre::Timer::~Timer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae9d0299693765d37b2f0b75c013755d2"></a><!-- doxytag: member="Ogre::Timer::Timer" ref="ae9d0299693765d37b2f0b75c013755d2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Timer.html#ae9d0299693765d37b2f0b75c013755d2">Ogre::Timer::Timer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="af9fd02050970850875bd56114ea82fc3"></a><!-- doxytag: member="Ogre::Timer::~Timer" ref="af9fd02050970850875bd56114ea82fc3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Timer.html#af9fd02050970850875bd56114ea82fc3">Ogre::Timer::~Timer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae9d0299693765d37b2f0b75c013755d2"></a><!-- doxytag: member="Ogre::Timer::Timer" ref="ae9d0299693765d37b2f0b75c013755d2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Timer.html#ae9d0299693765d37b2f0b75c013755d2">Ogre::Timer::Timer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="af9fd02050970850875bd56114ea82fc3"></a><!-- doxytag: member="Ogre::Timer::~Timer" ref="af9fd02050970850875bd56114ea82fc3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Timer.html#af9fd02050970850875bd56114ea82fc3">Ogre::Timer::~Timer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae9d0299693765d37b2f0b75c013755d2"></a><!-- doxytag: member="Ogre::Timer::Timer" ref="ae9d0299693765d37b2f0b75c013755d2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Timer.html#ae9d0299693765d37b2f0b75c013755d2">Ogre::Timer::Timer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="af9fd02050970850875bd56114ea82fc3"></a><!-- doxytag: member="Ogre::Timer::~Timer" ref="af9fd02050970850875bd56114ea82fc3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Timer.html#af9fd02050970850875bd56114ea82fc3">Ogre::Timer::~Timer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae9d0299693765d37b2f0b75c013755d2"></a><!-- doxytag: member="Ogre::Timer::Timer" ref="ae9d0299693765d37b2f0b75c013755d2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Timer.html#ae9d0299693765d37b2f0b75c013755d2">Ogre::Timer::Timer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="af9fd02050970850875bd56114ea82fc3"></a><!-- doxytag: member="Ogre::Timer::~Timer" ref="af9fd02050970850875bd56114ea82fc3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Timer.html#af9fd02050970850875bd56114ea82fc3">Ogre::Timer::~Timer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<a class="anchor" id="ae9d0299693765d37b2f0b75c013755d2"></a><!-- doxytag: member="Ogre::Timer::Timer" ref="ae9d0299693765d37b2f0b75c013755d2" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Timer.html#ae9d0299693765d37b2f0b75c013755d2">Ogre::Timer::Timer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p><a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a> constructor. </p>
<p>MUST be called on same thread that calls <a class="el" href="classOgre_1_1Timer.html#abcbb2a56c8d2a928ce4470f6ad7fbff7" title="Returns milliseconds since initialisation or last reset.">getMilliseconds()</a> </p>

</div>
</div>
<a class="anchor" id="af9fd02050970850875bd56114ea82fc3"></a><!-- doxytag: member="Ogre::Timer::~Timer" ref="af9fd02050970850875bd56114ea82fc3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="classOgre_1_1Timer.html#af9fd02050970850875bd56114ea82fc3">Ogre::Timer::~Timer</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

</div>
</div>
<hr/><h2>Member Function Documentation</h2>
<a class="anchor" id="a98cd6171d89aa2474f743f7375a8d412"></a><!-- doxytag: member="Ogre::Timer::getMicroseconds" ref="a98cd6171d89aa2474f743f7375a8d412" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#a98cd6171d89aa2474f743f7375a8d412">Ogre::Timer::getMicroseconds</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns microseconds since initialisation or last reset. </p>

</div>
</div>
<a class="anchor" id="a98cd6171d89aa2474f743f7375a8d412"></a><!-- doxytag: member="Ogre::Timer::getMicroseconds" ref="a98cd6171d89aa2474f743f7375a8d412" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#a98cd6171d89aa2474f743f7375a8d412">Ogre::Timer::getMicroseconds</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns microseconds since initialisation or last reset. </p>

</div>
</div>
<a class="anchor" id="a98cd6171d89aa2474f743f7375a8d412"></a><!-- doxytag: member="Ogre::Timer::getMicroseconds" ref="a98cd6171d89aa2474f743f7375a8d412" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#a98cd6171d89aa2474f743f7375a8d412">Ogre::Timer::getMicroseconds</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns microseconds since initialisation or last reset. </p>

</div>
</div>
<a class="anchor" id="a98cd6171d89aa2474f743f7375a8d412"></a><!-- doxytag: member="Ogre::Timer::getMicroseconds" ref="a98cd6171d89aa2474f743f7375a8d412" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#a98cd6171d89aa2474f743f7375a8d412">Ogre::Timer::getMicroseconds</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns microseconds since initialisation or last reset. </p>

</div>
</div>
<a class="anchor" id="a98cd6171d89aa2474f743f7375a8d412"></a><!-- doxytag: member="Ogre::Timer::getMicroseconds" ref="a98cd6171d89aa2474f743f7375a8d412" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#a98cd6171d89aa2474f743f7375a8d412">Ogre::Timer::getMicroseconds</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns microseconds since initialisation or last reset. </p>

</div>
</div>
<a class="anchor" id="a98cd6171d89aa2474f743f7375a8d412"></a><!-- doxytag: member="Ogre::Timer::getMicroseconds" ref="a98cd6171d89aa2474f743f7375a8d412" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#a98cd6171d89aa2474f743f7375a8d412">Ogre::Timer::getMicroseconds</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns microseconds since initialisation or last reset. </p>

</div>
</div>
<a class="anchor" id="a5bf37f7326bf37a6b9a12722e758faa6"></a><!-- doxytag: member="Ogre::Timer::getMicrosecondsCPU" ref="a5bf37f7326bf37a6b9a12722e758faa6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#a5bf37f7326bf37a6b9a12722e758faa6">Ogre::Timer::getMicrosecondsCPU</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns microseconds since initialisation or last reset, only CPU time measured. </p>

</div>
</div>
<a class="anchor" id="a5bf37f7326bf37a6b9a12722e758faa6"></a><!-- doxytag: member="Ogre::Timer::getMicrosecondsCPU" ref="a5bf37f7326bf37a6b9a12722e758faa6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#a5bf37f7326bf37a6b9a12722e758faa6">Ogre::Timer::getMicrosecondsCPU</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns microseconds since initialisation or last reset, only CPU time measured. </p>

</div>
</div>
<a class="anchor" id="a5bf37f7326bf37a6b9a12722e758faa6"></a><!-- doxytag: member="Ogre::Timer::getMicrosecondsCPU" ref="a5bf37f7326bf37a6b9a12722e758faa6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#a5bf37f7326bf37a6b9a12722e758faa6">Ogre::Timer::getMicrosecondsCPU</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns microseconds since initialisation or last reset, only CPU time measured. </p>

</div>
</div>
<a class="anchor" id="a5bf37f7326bf37a6b9a12722e758faa6"></a><!-- doxytag: member="Ogre::Timer::getMicrosecondsCPU" ref="a5bf37f7326bf37a6b9a12722e758faa6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#a5bf37f7326bf37a6b9a12722e758faa6">Ogre::Timer::getMicrosecondsCPU</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns microseconds since initialisation or last reset, only CPU time measured. </p>

</div>
</div>
<a class="anchor" id="a5bf37f7326bf37a6b9a12722e758faa6"></a><!-- doxytag: member="Ogre::Timer::getMicrosecondsCPU" ref="a5bf37f7326bf37a6b9a12722e758faa6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#a5bf37f7326bf37a6b9a12722e758faa6">Ogre::Timer::getMicrosecondsCPU</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns microseconds since initialisation or last reset, only CPU time measured. </p>

</div>
</div>
<a class="anchor" id="a5bf37f7326bf37a6b9a12722e758faa6"></a><!-- doxytag: member="Ogre::Timer::getMicrosecondsCPU" ref="a5bf37f7326bf37a6b9a12722e758faa6" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#a5bf37f7326bf37a6b9a12722e758faa6">Ogre::Timer::getMicrosecondsCPU</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns microseconds since initialisation or last reset, only CPU time measured. </p>

</div>
</div>
<a class="anchor" id="abcbb2a56c8d2a928ce4470f6ad7fbff7"></a><!-- doxytag: member="Ogre::Timer::getMilliseconds" ref="abcbb2a56c8d2a928ce4470f6ad7fbff7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#abcbb2a56c8d2a928ce4470f6ad7fbff7">Ogre::Timer::getMilliseconds</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns milliseconds since initialisation or last reset. </p>

</div>
</div>
<a class="anchor" id="abcbb2a56c8d2a928ce4470f6ad7fbff7"></a><!-- doxytag: member="Ogre::Timer::getMilliseconds" ref="abcbb2a56c8d2a928ce4470f6ad7fbff7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#abcbb2a56c8d2a928ce4470f6ad7fbff7">Ogre::Timer::getMilliseconds</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns milliseconds since initialisation or last reset. </p>

</div>
</div>
<a class="anchor" id="abcbb2a56c8d2a928ce4470f6ad7fbff7"></a><!-- doxytag: member="Ogre::Timer::getMilliseconds" ref="abcbb2a56c8d2a928ce4470f6ad7fbff7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#abcbb2a56c8d2a928ce4470f6ad7fbff7">Ogre::Timer::getMilliseconds</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns milliseconds since initialisation or last reset. </p>

</div>
</div>
<a class="anchor" id="abcbb2a56c8d2a928ce4470f6ad7fbff7"></a><!-- doxytag: member="Ogre::Timer::getMilliseconds" ref="abcbb2a56c8d2a928ce4470f6ad7fbff7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#abcbb2a56c8d2a928ce4470f6ad7fbff7">Ogre::Timer::getMilliseconds</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns milliseconds since initialisation or last reset. </p>

</div>
</div>
<a class="anchor" id="abcbb2a56c8d2a928ce4470f6ad7fbff7"></a><!-- doxytag: member="Ogre::Timer::getMilliseconds" ref="abcbb2a56c8d2a928ce4470f6ad7fbff7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#abcbb2a56c8d2a928ce4470f6ad7fbff7">Ogre::Timer::getMilliseconds</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns milliseconds since initialisation or last reset. </p>

</div>
</div>
<a class="anchor" id="abcbb2a56c8d2a928ce4470f6ad7fbff7"></a><!-- doxytag: member="Ogre::Timer::getMilliseconds" ref="abcbb2a56c8d2a928ce4470f6ad7fbff7" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#abcbb2a56c8d2a928ce4470f6ad7fbff7">Ogre::Timer::getMilliseconds</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns milliseconds since initialisation or last reset. </p>

</div>
</div>
<a class="anchor" id="a5dec0b5b6ecf2058f67c8dfb64ced988"></a><!-- doxytag: member="Ogre::Timer::getMillisecondsCPU" ref="a5dec0b5b6ecf2058f67c8dfb64ced988" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#a5dec0b5b6ecf2058f67c8dfb64ced988">Ogre::Timer::getMillisecondsCPU</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns milliseconds since initialisation or last reset, only CPU time measured. </p>

</div>
</div>
<a class="anchor" id="a5dec0b5b6ecf2058f67c8dfb64ced988"></a><!-- doxytag: member="Ogre::Timer::getMillisecondsCPU" ref="a5dec0b5b6ecf2058f67c8dfb64ced988" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#a5dec0b5b6ecf2058f67c8dfb64ced988">Ogre::Timer::getMillisecondsCPU</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns milliseconds since initialisation or last reset, only CPU time measured. </p>

</div>
</div>
<a class="anchor" id="a5dec0b5b6ecf2058f67c8dfb64ced988"></a><!-- doxytag: member="Ogre::Timer::getMillisecondsCPU" ref="a5dec0b5b6ecf2058f67c8dfb64ced988" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#a5dec0b5b6ecf2058f67c8dfb64ced988">Ogre::Timer::getMillisecondsCPU</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns milliseconds since initialisation or last reset, only CPU time measured. </p>

</div>
</div>
<a class="anchor" id="a5dec0b5b6ecf2058f67c8dfb64ced988"></a><!-- doxytag: member="Ogre::Timer::getMillisecondsCPU" ref="a5dec0b5b6ecf2058f67c8dfb64ced988" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#a5dec0b5b6ecf2058f67c8dfb64ced988">Ogre::Timer::getMillisecondsCPU</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns milliseconds since initialisation or last reset, only CPU time measured. </p>

</div>
</div>
<a class="anchor" id="a5dec0b5b6ecf2058f67c8dfb64ced988"></a><!-- doxytag: member="Ogre::Timer::getMillisecondsCPU" ref="a5dec0b5b6ecf2058f67c8dfb64ced988" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#a5dec0b5b6ecf2058f67c8dfb64ced988">Ogre::Timer::getMillisecondsCPU</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns milliseconds since initialisation or last reset, only CPU time measured. </p>

</div>
</div>
<a class="anchor" id="a5dec0b5b6ecf2058f67c8dfb64ced988"></a><!-- doxytag: member="Ogre::Timer::getMillisecondsCPU" ref="a5dec0b5b6ecf2058f67c8dfb64ced988" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">unsigned long <a class="el" href="classOgre_1_1Timer.html#a5dec0b5b6ecf2058f67c8dfb64ced988">Ogre::Timer::getMillisecondsCPU</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Returns milliseconds since initialisation or last reset, only CPU time measured. </p>

</div>
</div>
<a class="anchor" id="a8357fe4fb4849772b94baa4bf47c7ded"></a><!-- doxytag: member="Ogre::Timer::operator delete" ref="a8357fe4fb4849772b94baa4bf47c7ded" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00095">95</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a1c727e879a260c37b00ce5505fe8e144"></a><!-- doxytag: member="Ogre::Timer::operator delete" ref="a1c727e879a260c37b00ce5505fe8e144" args="(void *ptr, void *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00101">101</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="acb46d4b0a597156d9ba5abc39d127792"></a><!-- doxytag: member="Ogre::Timer::operator delete" ref="acb46d4b0a597156d9ba5abc39d127792" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00107">107</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93e6a86dde5483c053ca0f2a85bbfd6c"></a><!-- doxytag: member="Ogre::Timer::operator delete[]" ref="a93e6a86dde5483c053ca0f2a85bbfd6c" args="(void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00112">112</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a595ea4c05da8aa987d3800e65d23355d"></a><!-- doxytag: member="Ogre::Timer::operator delete[]" ref="a595ea4c05da8aa987d3800e65d23355d" args="(void *ptr, const char *, int, const char *)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator delete[] </td>
          <td>(</td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname">, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname">&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00118">118</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a421b197ca3a38da17e2eb1531a645fa2"></a><!-- doxytag: member="Ogre::Timer::operator new" ref="a421b197ca3a38da17e2eb1531a645fa2" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00067">67</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ac4bdf968b7b9af8a5239a27da73d5711"></a><!-- doxytag: member="Ogre::Timer::operator new" ref="ac4bdf968b7b9af8a5239a27da73d5711" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00072">72</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab78a921e54419be677839cdf15d1f0b8"></a><!-- doxytag: member="Ogre::Timer::operator new" ref="ab78a921e54419be677839cdf15d1f0b8" args="(size_t sz, void *ptr)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">void *&#160;</td>
          <td class="paramname"><em>ptr</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>placement operator new </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00078">78</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a4be37baef81876985aa1071ad5acc6dd"></a><!-- doxytag: member="Ogre::Timer::operator new[]" ref="a4be37baef81876985aa1071ad5acc6dd" args="(size_t sz, const char *file, int line, const char *func)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>file</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>line</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const char *&#160;</td>
          <td class="paramname"><em>func</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>array operator new, with debug line info </p>

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00085">85</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="afa2943846ba6a2b5824a12857139cf5e"></a><!-- doxytag: member="Ogre::Timer::operator new[]" ref="afa2943846ba6a2b5824a12857139cf5e" args="(size_t sz)" -->
<div class="memitem">
<div class="memproto">
<div class="memtemplate">
template&lt;class Alloc &gt; </div>
      <table class="memname">
        <tr>
          <td class="memname">void* <a class="el" href="classOgre_1_1AllocatedObject.html">Ogre::AllocatedObject</a>&lt; Alloc &gt;::operator new[] </td>
          <td>(</td>
          <td class="paramtype">size_t&#160;</td>
          <td class="paramname"><em>sz</em></td><td>)</td>
          <td><code> [inherited]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="OgreMemoryAllocatedObject_8h_source.html#l00090">90</a> of file <a class="el" href="OgreMemoryAllocatedObject_8h_source.html">OgreMemoryAllocatedObject.h</a>.</p>

</div>
</div>
<a class="anchor" id="a93b3cf0994bf9fdd32e2f52c43799bb3"></a><!-- doxytag: member="Ogre::Timer::reset" ref="a93b3cf0994bf9fdd32e2f52c43799bb3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3">Ogre::Timer::reset</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Resets timer. </p>

</div>
</div>
<a class="anchor" id="a93b3cf0994bf9fdd32e2f52c43799bb3"></a><!-- doxytag: member="Ogre::Timer::reset" ref="a93b3cf0994bf9fdd32e2f52c43799bb3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3">Ogre::Timer::reset</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Resets timer. </p>

</div>
</div>
<a class="anchor" id="a93b3cf0994bf9fdd32e2f52c43799bb3"></a><!-- doxytag: member="Ogre::Timer::reset" ref="a93b3cf0994bf9fdd32e2f52c43799bb3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3">Ogre::Timer::reset</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Resets timer. </p>

</div>
</div>
<a class="anchor" id="a93b3cf0994bf9fdd32e2f52c43799bb3"></a><!-- doxytag: member="Ogre::Timer::reset" ref="a93b3cf0994bf9fdd32e2f52c43799bb3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3">Ogre::Timer::reset</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Resets timer. </p>

</div>
</div>
<a class="anchor" id="a93b3cf0994bf9fdd32e2f52c43799bb3"></a><!-- doxytag: member="Ogre::Timer::reset" ref="a93b3cf0994bf9fdd32e2f52c43799bb3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3">Ogre::Timer::reset</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Resets timer. </p>

</div>
</div>
<a class="anchor" id="a93b3cf0994bf9fdd32e2f52c43799bb3"></a><!-- doxytag: member="Ogre::Timer::reset" ref="a93b3cf0994bf9fdd32e2f52c43799bb3" args="()" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void <a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3">Ogre::Timer::reset</a> </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Resets timer. </p>

</div>
</div>
<a class="anchor" id="a49f70a0179cae582b6837f023d57ffbe"></a><!-- doxytag: member="Ogre::Timer::setOption" ref="a49f70a0179cae582b6837f023d57ffbe" args="(const String &amp;strKey, const void *pValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe">Ogre::Timer::setOption</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>strKey</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>pValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Method for setting a specific option of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>. </p>
<p>These options are usually specific for a certain implementation of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a> class, and may (and probably will) not exist across different implementations. <a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3" title="Resets timer.">reset()</a> must be called after all <a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe" title="Method for setting a specific option of the Timer.">setOption()</a> calls. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">strKey</td><td>The name of the option to set </td></tr>
    <tr><td class="paramname">pValue</td><td>A pointer to the value - the size should be calculated by the timer based on the key </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>On success, true is returned. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>On failure, false is returned. </dd></dl>

<p>Definition at line <a class="el" href="Android_2OgreTimerImp_8h_source.html#l00060">60</a> of file <a class="el" href="Android_2OgreTimerImp_8h_source.html">Android/OgreTimerImp.h</a>.</p>

</div>
</div>
<a class="anchor" id="a49f70a0179cae582b6837f023d57ffbe"></a><!-- doxytag: member="Ogre::Timer::setOption" ref="a49f70a0179cae582b6837f023d57ffbe" args="(const String &amp;strKey, const void *pValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe">Ogre::Timer::setOption</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>strKey</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>pValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Method for setting a specific option of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>. </p>
<p>These options are usually specific for a certain implementation of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a> class, and may (and probably will) not exist across different implementations. <a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3" title="Resets timer.">reset()</a> must be called after all <a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe" title="Method for setting a specific option of the Timer.">setOption()</a> calls. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">strKey</td><td>The name of the option to set </td></tr>
    <tr><td class="paramname">pValue</td><td>A pointer to the value - the size should be calculated by the timer based on the key </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>On success, true is returned. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>On failure, false is returned. </dd></dl>

<p>Definition at line <a class="el" href="iOS_2OgreTimerImp_8h_source.html#l00060">60</a> of file <a class="el" href="iOS_2OgreTimerImp_8h_source.html">iOS/OgreTimerImp.h</a>.</p>

</div>
</div>
<a class="anchor" id="a49f70a0179cae582b6837f023d57ffbe"></a><!-- doxytag: member="Ogre::Timer::setOption" ref="a49f70a0179cae582b6837f023d57ffbe" args="(const String &amp;strKey, const void *pValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe">Ogre::Timer::setOption</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>strKey</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>pValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Method for setting a specific option of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>. </p>
<p>These options are usually specific for a certain implementation of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a> class, and may (and probably will) not exist across different implementations. <a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3" title="Resets timer.">reset()</a> must be called after all <a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe" title="Method for setting a specific option of the Timer.">setOption()</a> calls. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">strKey</td><td>The name of the option to set </td></tr>
    <tr><td class="paramname">pValue</td><td>A pointer to the value - the size should be calculated by the timer based on the key </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>On success, true is returned. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>On failure, false is returned. </dd></dl>

<p>Definition at line <a class="el" href="OSX_2OgreTimerImp_8h_source.html#l00060">60</a> of file <a class="el" href="OSX_2OgreTimerImp_8h_source.html">OSX/OgreTimerImp.h</a>.</p>

</div>
</div>
<a class="anchor" id="a49f70a0179cae582b6837f023d57ffbe"></a><!-- doxytag: member="Ogre::Timer::setOption" ref="a49f70a0179cae582b6837f023d57ffbe" args="(const String &amp;strKey, const void *pValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe">Ogre::Timer::setOption</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>strKey</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>pValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Method for setting a specific option of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>. </p>
<p>These options are usually specific for a certain implementation of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a> class, and may (and probably will) not exist across different implementations. <a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3" title="Resets timer.">reset()</a> must be called after all <a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe" title="Method for setting a specific option of the Timer.">setOption()</a> calls. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">strKey</td><td>The name of the option to set </td></tr>
    <tr><td class="paramname">pValue</td><td>A pointer to the value - the size should be calculated by the timer based on the key </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>On success, true is returned. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>On failure, false is returned. </dd></dl>

<p>Definition at line <a class="el" href="GLX_2OgreTimerImp_8h_source.html#l00060">60</a> of file <a class="el" href="GLX_2OgreTimerImp_8h_source.html">GLX/OgreTimerImp.h</a>.</p>

</div>
</div>
<a class="anchor" id="a49f70a0179cae582b6837f023d57ffbe"></a><!-- doxytag: member="Ogre::Timer::setOption" ref="a49f70a0179cae582b6837f023d57ffbe" args="(const String &amp;strKey, const void *pValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe">Ogre::Timer::setOption</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>strKey</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>pValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Method for setting a specific option of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>. </p>
<p>These options are usually specific for a certain implementation of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a> class, and may (and probably will) not exist across different implementations. <a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3" title="Resets timer.">reset()</a> must be called after all <a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe" title="Method for setting a specific option of the Timer.">setOption()</a> calls. </p>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">strKey</td><td>The name of the option to set </td></tr>
    <tr><td class="paramname">pValue</td><td>A pointer to the value - the size should be calculated by the timer based on the key </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>On success, true is returned. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>On failure, false is returned. </dd></dl>

<p>Definition at line <a class="el" href="NaCl_2OgreTimerImp_8h_source.html#l00064">64</a> of file <a class="el" href="NaCl_2OgreTimerImp_8h_source.html">NaCl/OgreTimerImp.h</a>.</p>

</div>
</div>
<a class="anchor" id="a49f70a0179cae582b6837f023d57ffbe"></a><!-- doxytag: member="Ogre::Timer::setOption" ref="a49f70a0179cae582b6837f023d57ffbe" args="(const String &amp;strKey, const void *pValue)" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">bool <a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe">Ogre::Timer::setOption</a> </td>
          <td>(</td>
          <td class="paramtype">const <a class="el" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a> &amp;&#160;</td>
          <td class="paramname"><em>strKey</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype">const void *&#160;</td>
          <td class="paramname"><em>pValue</em>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Method for setting a specific option of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a>. </p>
<p>These options are usually specific for a certain implementation of the <a class="el" href="classOgre_1_1Timer.html" title="Timer class.">Timer</a> class, and may (and probably will) not exist across different implementations. <a class="el" href="classOgre_1_1Timer.html#a93b3cf0994bf9fdd32e2f52c43799bb3" title="Resets timer.">reset()</a> must be called after all <a class="el" href="classOgre_1_1Timer.html#a49f70a0179cae582b6837f023d57ffbe" title="Method for setting a specific option of the Timer.">setOption()</a> calls. </p>
<dl class="user"><dt><b></b></dt><dd>Current options supported are: <ul>
<li>
"QueryAffinityMask" (DWORD): Set the thread affinity mask to be used to check the timer. If 'reset' has been called already this mask should overlap with the process mask that was in force at that point, and should be a power of two (a single core).</li>
</ul>
</dd></dl>
<dl class="params"><dt><b>Parameters:</b></dt><dd>
  <table class="params">
    <tr><td class="paramname">strKey</td><td>The name of the option to set </td></tr>
    <tr><td class="paramname">pValue</td><td>A pointer to the value - the size should be calculated by the timer based on the key </td></tr>
  </table>
  </dd>
</dl>
<dl class="return"><dt><b>Returns:</b></dt><dd>On success, true is returned. </dd></dl>
<dl class="user"><dt><b></b></dt><dd>On failure, false is returned. </dd></dl>

</div>
</div>
<hr/><h2>Member Data Documentation</h2>
<a class="anchor" id="ae900afa2fcf8c8ce3f0f423d97bb91be"></a><!-- doxytag: member="Ogre::Timer::mFrequency" ref="ae900afa2fcf8c8ce3f0f423d97bb91be" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">LARGE_INTEGER <a class="el" href="classOgre_1_1Timer.html#ae900afa2fcf8c8ce3f0f423d97bb91be">Ogre::Timer::mFrequency</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="WIN32_2OgreTimerImp_8h_source.html#l00056">56</a> of file <a class="el" href="WIN32_2OgreTimerImp_8h_source.html">WIN32/OgreTimerImp.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8372e3ea912095bfce04d29b3e7de900"></a><!-- doxytag: member="Ogre::Timer::mLastTime" ref="a8372e3ea912095bfce04d29b3e7de900" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">LONGLONG <a class="el" href="classOgre_1_1Timer.html#a8372e3ea912095bfce04d29b3e7de900">Ogre::Timer::mLastTime</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="WIN32_2OgreTimerImp_8h_source.html#l00054">54</a> of file <a class="el" href="WIN32_2OgreTimerImp_8h_source.html">WIN32/OgreTimerImp.h</a>.</p>

</div>
</div>
<a class="anchor" id="a9b098eabbe9029b10f71e19a56201a19"></a><!-- doxytag: member="Ogre::Timer::mStartTick" ref="a9b098eabbe9029b10f71e19a56201a19" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DWORD <a class="el" href="classOgre_1_1Timer.html#a9b098eabbe9029b10f71e19a56201a19">Ogre::Timer::mStartTick</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="WIN32_2OgreTimerImp_8h_source.html#l00053">53</a> of file <a class="el" href="WIN32_2OgreTimerImp_8h_source.html">WIN32/OgreTimerImp.h</a>.</p>

</div>
</div>
<a class="anchor" id="ab1c3bbde68d6dfea57f72a0aabb8f924"></a><!-- doxytag: member="Ogre::Timer::mStartTime" ref="ab1c3bbde68d6dfea57f72a0aabb8f924" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">LARGE_INTEGER <a class="el" href="classOgre_1_1Timer.html#ab1c3bbde68d6dfea57f72a0aabb8f924">Ogre::Timer::mStartTime</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="WIN32_2OgreTimerImp_8h_source.html#l00055">55</a> of file <a class="el" href="WIN32_2OgreTimerImp_8h_source.html">WIN32/OgreTimerImp.h</a>.</p>

</div>
</div>
<a class="anchor" id="a3ce599d89734e4cbedaad64f7083af28"></a><!-- doxytag: member="Ogre::Timer::mTimerMask" ref="a3ce599d89734e4cbedaad64f7083af28" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">DWORD_PTR <a class="el" href="classOgre_1_1Timer.html#a3ce599d89734e4cbedaad64f7083af28">Ogre::Timer::mTimerMask</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="WIN32_2OgreTimerImp_8h_source.html#l00058">58</a> of file <a class="el" href="WIN32_2OgreTimerImp_8h_source.html">WIN32/OgreTimerImp.h</a>.</p>

</div>
</div>
<a class="anchor" id="a0cc8c11464f2fc729c5028b2359d5a21"></a><!-- doxytag: member="Ogre::Timer::mZeroClock" ref="a0cc8c11464f2fc729c5028b2359d5a21" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">clock_t <a class="el" href="classOgre_1_1Timer.html#a0cc8c11464f2fc729c5028b2359d5a21">Ogre::Timer::mZeroClock</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="WIN32_2OgreTimerImp_8h_source.html#l00051">51</a> of file <a class="el" href="WIN32_2OgreTimerImp_8h_source.html">WIN32/OgreTimerImp.h</a>.</p>

</div>
</div>
<a class="anchor" id="a8001c51c6e71cb7a0f4f1f923f50067b"></a><!-- doxytag: member="Ogre::Timer::start" ref="a8001c51c6e71cb7a0f4f1f923f50067b" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">struct timeval <a class="el" href="classOgre_1_1Timer.html#a8001c51c6e71cb7a0f4f1f923f50067b">Ogre::Timer::start</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Android_2OgreTimerImp_8h_source.html#l00040">40</a> of file <a class="el" href="Android_2OgreTimerImp_8h_source.html">Android/OgreTimerImp.h</a>.</p>

</div>
</div>
<a class="anchor" id="a730b49c13bc36f38225190c1a4bc6cb0"></a><!-- doxytag: member="Ogre::Timer::zeroClock" ref="a730b49c13bc36f38225190c1a4bc6cb0" args="" -->
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">clock_t <a class="el" href="classOgre_1_1Timer.html#a730b49c13bc36f38225190c1a4bc6cb0">Ogre::Timer::zeroClock</a><code> [private]</code></td>
        </tr>
      </table>
</div>
<div class="memdoc">

<p>Definition at line <a class="el" href="Android_2OgreTimerImp_8h_source.html#l00041">41</a> of file <a class="el" href="Android_2OgreTimerImp_8h_source.html">Android/OgreTimerImp.h</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following files:<ul>
<li><a class="el" href="Android_2OgreTimerImp_8h_source.html">Android/OgreTimerImp.h</a></li>
<li><a class="el" href="GLX_2OgreTimerImp_8h_source.html">GLX/OgreTimerImp.h</a></li>
<li><a class="el" href="iOS_2OgreTimerImp_8h_source.html">iOS/OgreTimerImp.h</a></li>
<li><a class="el" href="NaCl_2OgreTimerImp_8h_source.html">NaCl/OgreTimerImp.h</a></li>
<li><a class="el" href="OSX_2OgreTimerImp_8h_source.html">OSX/OgreTimerImp.h</a></li>
<li><a class="el" href="WIN32_2OgreTimerImp_8h_source.html">WIN32/OgreTimerImp.h</a></li>
</ul>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:54
</p>
</body>
</html>
